Arch Gebäude

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Building and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎українська

Arch Building.svg Gebäude

Menüeintrag
Architektur → Gebäude
Arbeitsbereich
Arch-Arbereitsbereich
Standardtastenkürzel
B U
In der Version eingeführt
-
Siehe auch
Gebäudeteil, Baugrund


Beschreibung

Ein Gebäude ist ein spezielles FreeCAD-Gruppenobjekt, welches sich besonders dafür eignet, eine ganze Gebäudeeinheit zu repräsentieren. Ein Gebäude hilft so bei der Organisation des Modells, es enthält als Untereinheiten Etagen-Objekte.

Anwendung

  1. Wählen Sie optional ein oder mehrere Etagen zur Verwendung im neu zu erstellenden Gebäude
  2. Drücken Sie den Arch Building.svg Gebäude-Knopf oder die Tasten B und U

Optionen

  • Seit FreeCAD-Version 0.18 ist das Gebäudeobjekt tatsächlich ein Gebäudeteil, dessen Daten-EigenschaftIFC role-Eigenschaft auf Building gesetzt ist. Jedes BuildingPart kann durch Änderung der IFC-Role-Eigenschaft einfach zu einem Gebäude konvertiert werden.
  • Nach Anlegen des Gebäudes können per Drag-and-Drop in der Baumansicht oder über das Arch Add.png Hinzufügen-Werkzeug weitere Objekte zum Gebäude hinzugefügt werden.
  • Durch Drag-and-Drop in der Baumansicht oder das Arch Remove.png Entfernen-Werkzeug können Objekte aus dem Gebäude entfernt werden.

Eigenschaften

  • Daten-EigenschaftBuilding Type: Die Art des Gebäudes, aus einer Liste auswählbar

Scripting

Siehe auch: Arch API und FreeCAD Scripting Basics.

Das Gebäude-Werkzeug kann sowohl in Makros als auch aus der Python-Konsole heraus über folgende Funktion angesprochen werden:

Building = makeBuilding(objectslist=None, baseobj=None, name="Building")
  • Erzeugt ein Building-Objekt aus der objectslist, die entweder eine Liste von Objekten oder oder ein baseobj, das ein Shape ist.

Beispiel:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall1, Wall2])

Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()